Инвойсы
Создать инвойс
Создание платёжного инвойса для делегирования энергии
POST
/
api
/
v1
/
invoices
Создать инвойс
curl --request POST \
--url https://api.example.com/api/v1/invoices \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"duration_hours": 123
}
'import requests
url = "https://api.example.com/api/v1/invoices"
payload = {
"address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"duration_hours": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
address: '<string>',
energy_amount: 123,
transfer_count: 123,
duration_hours: 123
})
};
fetch('https://api.example.com/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice_id": 123,
"payment_address": "<string>",
"price_trx": "<string>",
"price_usdt": "<string>",
"status": "<string>",
"expires_at": "<string>"
}Создать инвойс
Создаёт платёжный инвойс, генерирующий уникальный адрес для оплаты. При получении платежа (TRX или USDT) энергия автоматически делегируется на целевой адрес. Полезно для интеграций, где конечные пользователи платят напрямую — баланс аккаунта не требуется.Тело запроса
string
обязательно
Целевой адрес TRON для получения энергии
number
Количество энергии (32 000 – 5 000 000). Используйте это ИЛИ
transfer_count.number
Количество переводов USDT (1 – 100). Каждый перевод = 65 000 энергии.
number
обязательно
Длительность аренды (1 или 24 часа)
Ответ
number
Уникальный идентификатор инвойса
string
Уникальный адрес для оплаты — отправьте TRX или USDT сюда
string
Цена в TRX
string
Цена в USDT
string
Статус инвойса:
pending, paid, delegated, expired, failedstring
Время истечения в формате ISO 8601
Пример
curl -X POST https://api.tronrental.com/v1/invoices \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"address": "TRecipientAddress...",
"transfer_count": 1,
"duration_hours": 1
}'
Response
{
"invoice_id": 789,
"payment_address": "TPaymentAddress...",
"address": "TRecipientAddress...",
"energy_amount": 65000,
"duration_hours": 1,
"price_trx": "2.75",
"price_usdt": "0.64",
"status": "pending",
"expires_at": "2026-03-05T12:30:00Z"
}
Инвойсы истекают через 30 минут, если оплата не получена.
Принимаются платежи как в TRX, так и в USDT на сгенерированный адрес.
⌘I
Создать инвойс
